package com.V10lator.SignClock;

import org.bukkit.block.Block;
import org.bukkit.entity.Player;
import org.bukkit.event.block.Action;
import org.bukkit.event.player.PlayerListener;
import org.bukkit.event.player.PlayerInteractEvent;
import org.bukkit.ChatColor;

public class SignClockPlayerListener extends PlayerListener
{
  private final SignClock plugin;
  private Player player;
  
  public SignClockPlayerListener(final SignClock plugin)
  {
    this.plugin = plugin;
  }
  
  public void onPlayerInteract(PlayerInteractEvent event)
  {
	if(event.getAction() == Action.RIGHT_CLICK_BLOCK)
	{
	  this.player = event.getPlayer();
	  Block block = event.getClickedBlock();
      SClock SClock = plugin.getSignClock(block);
	  if(SClock == null)
		return;
	  int tmp = SClock.getStyle() + 1;
	  if(tmp >= 5)
		tmp = 0;
	  SClock.setStyle(tmp);
	  this.player.sendMessage(ChatColor.YELLOW + "SignClock " + ChatColor.BLUE + "has style " + tmp);	
	}
  }
}
