package com.V10lator.SignClock;

import org.bukkit.block.Block;
import org.bukkit.block.BlockFace;
import org.bukkit.block.Sign;
import org.bukkit.craftbukkit.CraftWorld;
import org.bukkit.Material;
import org.bukkit.entity.Player;
import org.bukkit.event.block.BlockBreakEvent;
import org.bukkit.event.block.BlockListener;
import org.bukkit.event.block.SignChangeEvent;
import org.bukkit.event.block.BlockRedstoneEvent;
import org.bukkit.ChatColor;

public class SignClockBlockListener extends BlockListener
{
    private final SignClock plugin;
    private Player player;
    
    public SignClockBlockListener(final SignClock plugin) {
        this.plugin = plugin;
    }

    public void onBlockRedstoneChange(BlockRedstoneEvent event) {
     //Check blocks arround
     for(BlockFace face : BlockFace.values())
     {
     checkCurrent(event.getBlock().getFace(face),event.getBlock().getFace(face).isBlockIndirectlyPowered());

     //check current from behind
     if( event.getBlock().getType() == Material.REDSTONE_WIRE && (face == BlockFace.EAST || face == BlockFace.WEST || face == BlockFace.SOUTH || face == BlockFace.NORTH)) {
     checkCurrent(event.getBlock().getFace(face).getFace(face),event.getBlock().getFace(face).isBlockIndirectlyPowered());
     }
     }
    }
    
    private void checkCurrent(Block block, boolean current) {
     if(block.getType() == Material.SIGN_POST || block.getType() == Material.SIGN || block.getType() == Material.WALL_SIGN)
     {
     //Cast block into a sign
     Sign sign = (Sign)block.getState();
     //get the Strings for the sign
     SClock SClock = plugin.getSignClock(block);
     //is the Sign a Redstone sign?
     if(SClock == null)
     return;
     //Set next state

     long now = block.getWorld().getTime();
	    long hours = 0;
	    hours = now / 1000;
	    hours = hours + 6;
	    if(hours == 24)
	      hours = 0;
	    if(hours == 25)
	      hours = 1;
	    if(hours == 26)
	      hours = 2;
	    if(hours == 27)
	      hours = 3;
	    if(hours == 28)
	      hours = 4;
	    if(hours == 29)
	      hours = 5;
	    if(hours == 30)
	      hours = 6;
	    int minutes = 0;
	    int siebzehn = 17;
	    int dreidrei = 33;
	    int fuenfzig = 50;
	    int sechs = 67;
	    int achtzig = 83;
	    int hundert = 100;
	    int anim = 0;
	    for(int i=0; i<=24; i++)
	    {
	      if(now > siebzehn)
	      {
	        if(now <= dreidrei)
	        {
	       	 minutes = 1;
	       	 anim = 1;
	        }
	        else if(now <= fuenfzig)
	        {
	          minutes = 2;
	        }
	        else if(now <= sechs)
	        {
	          minutes = 3;
	          anim = 1;
	        }
	        else if(now <= achtzig)
	        {
	          minutes = 4;
	      }
	        else if(now <= hundert)
	        {
	          minutes = 5;
	          anim = 1;
	        }
	        else if(now <= siebzehn + 100)
	        {
	          minutes = 6;
	    }
	        else if(now <= dreidrei + 100)
	        {
	          minutes = 7;
	    anim = 1;
	    }
	        else if(now <= fuenfzig + 100)
	        {
	          minutes = 8;
	    }
	        else if(now <= sechs + 100)
	        {
	          minutes = 9;
	    anim = 1;
	   }
	        else if(now <= achtzig + 100)
	        {
	          minutes = 10;
	   }
	        else if(now <= hundert + 100)
	        {
	          minutes = 11;
	        anim = 1;
	}
	        else if(now <= siebzehn + 200)
	        {
	          minutes = 12;
	}
	        else if(now <= dreidrei + 200)
	        {
	          minutes = 13;
	        anim = 1;
	    }
	        else if(now <= fuenfzig + 200)
	        {
	          minutes = 14;
	    }
	        else if(now <= sechs + 200)
	        {
	          minutes = 15;
	        anim = 1;
	    }
	        else if(now <= achtzig + 200)
	        {
	          minutes = 16;
	    }
	        else if(now <= hundert + 200)
	        {
	          minutes = 17;
	        anim = 1;
	    }
	        else if(now <= siebzehn + 300)
	        {
	          minutes = 18;
	    }
	        else if(now <= dreidrei + 300)
	        {
	          minutes = 19;
	        anim = 1;
	    }
	        else if(now <= fuenfzig + 300)
	        {
	          minutes = 20;
	    }
	        else if(now <= sechs + 300)
	        {
	          minutes = 21;
	        anim = 1;
	    }
	        else if(now <= achtzig + 300)
	        {
	          minutes = 22;
	    }
	        else if(now <= hundert + 300)
	        {
	          minutes = 23;
	        anim = 1;
	    }
	        else if(now <= siebzehn + 400)
	        {
	          minutes = 24;
	    }
	        else if(now <= dreidrei + 400)
	        {
	          minutes = 25;
	        anim = 1;
	    }
	        else if(now <= fuenfzig + 400)
	        {
	          minutes = 26;
	    }
	        else if(now <= sechs + 400)
	        {
	          minutes = 27;
	        anim = 1;
	    }
	        else if(now <= achtzig + 400)
	        {
	          minutes = 28;
	    }
	        else if(now <= hundert + 400)
	        {
	          minutes = 29;
	        anim = 1;
	    }
	        else if(now <= siebzehn + 500)
	        {
	          minutes = 30;
	    }
	        else if(now <= dreidrei + 500)
	        {
	          minutes = 31;
	        anim = 1;
	    }
	        else if(now <= fuenfzig + 500)
	        {
	          minutes = 32;
	    }
	        else if(now <= sechs + 500)
	        {
	          minutes = 33;
	        anim = 1;
	    }
	        else if(now <= achtzig + 500)
	        {
	          minutes = 34;
	    }
	        else if(now <= hundert + 500)
	        {
	          minutes = 35;
	        anim = 1;
	    }
	        else if(now <= siebzehn + 600)
	        {
	          minutes = 36;
	    }
	        else if(now <= dreidrei + 600)
	        {
	          minutes = 37;
	        anim = 1;
	    }
	        else if(now <= fuenfzig + 600)
	        {
	          minutes = 38;
	    }
	        else if(now <= sechs + 600)
	        {
	          minutes = 39;
	        anim = 1;
	    }
	        else if(now <= achtzig + 600)
	        {
	          minutes = 40;
	    }
	        else if(now <= hundert + 600)
	        {
	          minutes = 41;
	        anim = 1;
	    }
	        else if(now <= siebzehn + 700)
	        {
	          minutes = 42;
	    }
	        else if(now <= dreidrei + 700)
	        {
	          minutes = 43;
	        anim = 1;
	    }
	        else if(now <= fuenfzig + 700)
	        {
	          minutes = 44;
	    }
	        else if(now <= sechs + 700)
	        {
	          minutes = 45;
	        anim = 1;
	    }
	        else if(now <= achtzig + 700)
	        {
	          minutes = 46;
	    }
	        else if(now <= hundert + 700)
	        {
	          minutes = 47;
	        anim = 1;
	    }
	        else if(now <= siebzehn + 800)
	        {
	          minutes = 48;
	    }
	        else if(now <= dreidrei + 800)
	        {
	          minutes = 49;
	        anim = 1;
	    }
	        else if(now <= fuenfzig + 800)
	        {
	          minutes = 50;
	    }
	        else if(now <= sechs + 800)
	        {
	          minutes = 51;
	        anim = 1;
	    }
	        else if(now <= achtzig + 800)
	        {
	          minutes = 52;
	    }
	        else if(now <= hundert + 800)
	        {
	          minutes = 53;
	        anim = 1;
	    }
	        else if(now <= siebzehn + 900)
	        {
	          minutes = 54;
	    }
	        else if(now <= dreidrei + 900)
	        {
	          minutes = 55;
	        anim = 1;
	    }
	        else if(now <= fuenfzig + 900)
	        {
	          minutes = 56;
	    }
	        else if(now <= sechs + 900)
	        {
	          minutes = 57;
	        anim = 1;
	    }
	        else if(now <= achtzig + 900)
	        {
	          minutes = 58;
	    }
	        else if(now <= hundert + 900)
	        {
	         minutes = 59;
	        anim = 1;
	    }
	      }
	      siebzehn = siebzehn + 1000;
	      dreidrei = dreidrei + 1000;
	      fuenfzig = fuenfzig + 1000;
	      sechs = sechs + 1000;
	      achtzig = achtzig + 1000;
	      hundert = hundert + 1000;
	    }
	    
	    String sminutes = "" + minutes;
	    String shours = "" + hours;
	    if(hours <= 9)
	    {
	      shours = 0 + "" + hours;
	    }
	    if(minutes <= 9)
	    {
	      sminutes = 0 + "" + minutes;
	    }
     //write the new lines
//     World world = block.getWorld();
     sign.setLine(0, "");
     if(SClock.getStyle() == 0) {
       if(anim == 0)
       {
         sign.setLine(1, ChatColor.RED + "- " + ChatColor.GOLD + "Clock " + ChatColor.RED + "-");
         sign.setLine(2, ChatColor.RED + "- " + ChatColor.GOLD + shours + ":" + sminutes + ChatColor.RED + " -");
       } else {
         sign.setLine(1, ChatColor.GOLD + "Clock");
         sign.setLine(2, ChatColor.GOLD + shours + ":" + sminutes);
       }
     } else if(SClock.getStyle() == 1) {
       if(anim == 0)
       {
         sign.setLine(1, ChatColor.DARK_GREEN + "- " + ChatColor.GREEN + "Clock " + ChatColor.DARK_GREEN + "-");
         sign.setLine(2, ChatColor.DARK_GREEN + "- " + ChatColor.GREEN + shours + ":" + sminutes + ChatColor.DARK_GREEN + " -");
       } else {
         sign.setLine(1, ChatColor.GREEN + "Clock");
         sign.setLine(2, ChatColor.GREEN + shours + ":" + sminutes);
       }
     } else if(SClock.getStyle() == 2) {
       if(anim == 0)
       {
         sign.setLine(1, ChatColor.LIGHT_PURPLE + "- " + ChatColor.BLACK + "Clock " + ChatColor.LIGHT_PURPLE + "-");
         sign.setLine(2, ChatColor.LIGHT_PURPLE + "- " + ChatColor.BLACK + shours + ":" + sminutes + ChatColor.LIGHT_PURPLE + " -");
       } else {
         sign.setLine(1, ChatColor.BLACK + "Clock");
         sign.setLine(2, ChatColor.BLACK + shours + ":" + sminutes);
       }
     } else if(SClock.getStyle() == 3) {
       if(anim == 0)
       {
         sign.setLine(1, ChatColor.DARK_GREEN + "- " + ChatColor.DARK_RED + "Clock " + ChatColor.DARK_GREEN + "-");
         sign.setLine(2, ChatColor.DARK_GREEN + "- " + ChatColor.DARK_RED + shours + ":" + sminutes + ChatColor.DARK_GREEN + " -");
       } else {
         sign.setLine(1, ChatColor.DARK_GREEN + "Clock");
         sign.setLine(2, ChatColor.DARK_GREEN + shours + ":" + sminutes);
       }
     } else if(SClock.getStyle() == 4) {
         if(minutes == 0 || minutes == 4 || minutes == 8 || minutes == 12 || minutes == 16 || minutes == 20 || minutes == 24 || minutes == 28 || minutes == 32 || minutes == 36 || minutes == 40 || minutes == 44 || minutes == 48 || minutes == 52 || minutes == 56 || minutes == 60)
         {
           sign.setLine(1, ChatColor.GREEN + "- " + ChatColor.YELLOW + "Clock " + ChatColor.GREEN + "-");
           sign.setLine(2, ChatColor.GREEN + "- " + ChatColor.YELLOW + shours + ":" + sminutes + ChatColor.GREEN + " -");
         } else if(minutes == 1 || minutes == 5 || minutes == 9 || minutes == 13 || minutes == 17 || minutes == 21 || minutes == 25 || minutes == 29 || minutes == 33 || minutes == 37 || minutes == 41 || minutes == 45 || minutes == 49 || minutes == 53 || minutes == 57) {
        	 sign.setLine(1, ChatColor.GREEN + "/ " + ChatColor.GOLD + "Clock " + ChatColor.GREEN + "\\");
             sign.setLine(2, ChatColor.GREEN + "\\ " + ChatColor.GOLD + shours + ":" + sminutes + ChatColor.GREEN + " /");
         } else if(minutes == 2 || minutes == 6 || minutes == 10 || minutes == 14 || minutes == 18 || minutes == 22 || minutes == 26 || minutes == 30 || minutes == 34 || minutes == 38 || minutes == 42 || minutes == 46 || minutes == 50 || minutes == 54 || minutes == 58) {
        	 sign.setLine(1, ChatColor.GREEN + "| " + ChatColor.RED + "Clock " + ChatColor.GREEN + "|");
             sign.setLine(2, ChatColor.GREEN + "| " + ChatColor.RED + shours + ":" + sminutes + ChatColor.GREEN + " |");
         } else if(minutes == 3 || minutes == 7 || minutes == 11 || minutes == 15 || minutes == 19 || minutes == 23 || minutes == 27 || minutes == 31 || minutes == 35 || minutes == 39 || minutes == 43 || minutes == 47 || minutes == 51 || minutes == 55 || minutes == 59) {
        	 sign.setLine(1, ChatColor.GREEN + "\\ " + ChatColor.GOLD + "Clock " + ChatColor.GREEN + "/");
             sign.setLine(2, ChatColor.GREEN + "/ " + ChatColor.GOLD + shours + ":" + sminutes + ChatColor.GREEN + " \\");
         }
       }
     sign.setLine(3, "");
     ((CraftWorld)block.getWorld()).getHandle().notify(block.getX(),block.getY(),block.getZ());
    }
    }
    
    public void onBlockBreak(BlockBreakEvent event) {
     this.player = event.getPlayer();
     if(plugin.isSignClock(event.getBlock()))
     {
     plugin.removeSign(event.getBlock());
     this.player.sendMessage(ChatColor.YELLOW + "SignClock " + ChatColor.RED + "destroyed");
     }
    }
    
    public void onSignChange(SignChangeEvent event) {
     Block block = event.getBlock();
     this.player = event.getPlayer();
     String[] lines = event.getLines();
     String[][] newLines = new String[2][4];
     SClock sign = new SClock(block);
    
     //Is this a SignClock?
     if(lines[1].matches("^\\[SignClock\\]")) {
       for(int i = 0; i < lines.length; i++) {
         newLines[0][i] = lines[i];
       }
       if(lines[2].matches("^1")) {
    	 sign.setStyle(1);
       } else if(lines[2].matches("^2")) {
    	 sign.setStyle(2);
       } else if(lines[2].matches("^3")) {
    	 sign.setStyle(3);
       } else if(lines[2].matches("^4")) {
      	 sign.setStyle(4);
       }
       sign.addState(newLines[0]);
       plugin.addSign(event.getBlock(), sign);
       this.player.sendMessage(ChatColor.YELLOW + "SignClock " + ChatColor.GREEN + "created");
     }
    
     
    }
}
